# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8


DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )
inherit distutils-r1

DESCRIPTION="Systemd failure handler"
HOMEPAGE="https://gitea.fulh.ax/feffe/sysalert"
if [[ ${PV} == 9999 ]] ; then
	EGIT_REPO_URI="https://gitea.fulh.ax/feffe/sysalert.git"
	inherit git-r3
	KEYWORDS="~amd64 ~arm64"
else
	SRC_URI="https://gitea.fulh.ax/feffe/sysalert/archive/v${PV}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/sysalert"
	KEYWORDS="amd64 arm64"
fi


LICENSE="MIT"
SLOT="0"

DEPEND=""
RDEPEND="${DEPEND} dev-python/python-systemd"
BDEPEND=""
